%define name kgpg
%define version 0.9.5
%define release 3mdk

Name:           %name
Summary:        Kgpg is a frontend for GNU Privacy Guard (GnuPG)
Version:        %version
Release:        %release
Source:         %{name}-%{version}.tar.bz2
Patch0:			kgpg-0.9.1-fix-libtool.patch.bz2
URL:            http://devel-home.kde.org/~kgpg/
Group:          File tools
BuildRoot:      %_tmppath/%name-buildroot
License:		GPL
Requires:       kdebase >= 3.0.2

%description
Kgpg is a frontend for GNU Privacy Guard (GnuPG). It provides file 
encryption, file decryption and key management. 


%prep
rm -rf $RPM_BUILD_ROOT 

%setup -q
%patch0 -p1

%configure --disable-rpath

%build
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall


#Menu
install -d %buildroot/%_menudir/
kdedesktop2mdkmenu.pl kgpg Configuration/Other %buildroot/%_datadir/applnk/Applications/kgpg.desktop %buildroot/%_menudir/kgpg

mv %buildroot/%_bindir/i586-mandrake-linux-gnu-kgpg %buildroot/%_bindir/kgpg

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}

%postun
%{clean_menus}

%files -f %name.lang
%defattr(-,root,root,0755)
%_bindir/*
%_menudir/*

%dir %_datadir/apps/kgpg/
%_datadir/apps/kgpg/*.rc
%_datadir/apps/kgpg/tips
%dir %_datadir/apps/kgpg/pics/
%_datadir/apps/kgpg/pics/*.png

%dir %_datadir/apps/konqueror/servicemenus/
%_datadir/apps/konqueror/servicemenus/*.desktop

%_datadir/applnk/Applications/*.desktop

%_datadir/autostart/*.desktop

%_datadir/icons/hicolor/16x16/actions/*.png
%_datadir/icons/hicolor/16x16/apps/*.png

%_datadir/icons/hicolor/22x22/actions/*.png
%_datadir/icons/hicolor/32x32/apps/*.png
%_datadir/icons/hicolor/48x48/apps/*.png

# Conflict with kdelib
#%_datadir/mimelnk/application/*.desktop


%dir %_docdir/HTML/en/kgpg/
%doc %_docdir/HTML/en/kgpg/*.png
%doc %_docdir/HTML/en/kgpg/*.bz2
%doc %_docdir/HTML/en/kgpg/*.docbook
%doc %_docdir/HTML/en/kgpg/common

%dir %_docdir/HTML/sv/sv/
%doc %_docdir/HTML/sv/sv/*.png
%doc %_docdir/HTML/sv/sv/*.bz2
%doc %_docdir/HTML/sv/sv/*.docbook
%doc %_docdir/HTML/sv/sv//common



%changelog
* Mon Mar  3 2003 Guillaume Cottenceau <gc@mandrakesoft.com> 0.9.5-3mdk
- fix W: kgpg non-standard-group Configuration/Other

* Sat Mar 01 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 0.9.5-2mdk
- Rebuild

* Sun Feb 09 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 0.9.5-1mdk
- 0.9.5

* Mon Dec 09 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 0.9.4-1mdk
- 0.9.4

* Tue Nov 26 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 0.9.3-1mdk
- 0.9.3

* Thu Nov 21 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 0.9.2-1mdk
- 0.9.2

* Sun Nov 17 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 0.9.1-1mdk
- 0.9.1
- regenerate patch0
